function output = gtUpdateSpot2Grain(grains_list, difspots_list, spot2grain, spot2phase)

% update spot2grain and spot2phase
for jj = 1 : length(difspots_list)
    for ii = 1 : length(grains_list)
        index = find(spot2grain{difspots_list(jj)}==grains_list(ii));
        if ~isempty(index)
            spot2grain{difspots_list(jj)}(index)=[];
            spot2phase{difspots_list(jj)}(index)=[];
            disp(['  Removed conflict with difspotID: ' num2str(difspots_list(jj)) ' for grainID : ' num2str(grains_list(ii))])
        end
    end
end
disp(['Found ' num2str(length(difspots_list)) ' difspots in conflict with ' num2str(length(grains_list)) ' grains'])
output.spot2grain = spot2grain;
output.spot2phase = spot2phase;

end % end of gtUpdateSpot2Grain
